#coding=utf-8
#!/usr/bin/python
import sys
import time
try:
	import RPi.GPIO as GPIO
except RuntimeError:
    print("Error importing RPi.GPIO!  This is probably because you need superuser privileges.  You can achieve this by using 'sudo' to run your script")
def cpu_temp():
    with open("/sys/class/thermal/thermal_zone0/temp", 'r') as f:
        return float(f.read())/1000
def main():
    channel1 = 16


    GPIO.setmode(GPIO.BOARD)
    GPIO.setwarnings(False)
    # close air fan first
    GPIO.setup(channel1, GPIO.OUT, initial=GPIO.LOW)
    pwm1 = GPIO.PWM(channel1,100)
    GPIO.setwarnings(False)
    is_close = True
    while True:
        temp = cpu_temp()
        if is_close:
            if temp > 48.0:
                print(time.ctime(), temp, '℃ open air fan')
                #GPIO.output(channel1, 1)
                pwm1.start(0)
                pwm1.ChangeDutyCycle(100)
                is_close = False
        else:
            if temp < 45.0:
                print(time.ctime(), temp, '℃ close air fan')
                #GPIO.output(channel1, 0)
                pwm1.stop()
                is_close = True
        time.sleep(2.0)
        print(time.ctime(), temp, '℃')
if __name__ == '__main__':
    main()
